Package org.silverpeas.sso.kerberos

## Class KerberosRequestRouter

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet
      - - org.silverpeas.sso.kerberos.KerberosRequestRouter

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class KerberosRequestRouter
      extends org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet

  Author:
    silveryocha
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KerberosRequestRouter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.web.sso.SilverpeasSsoPrincipal` | `computeSsoPrincipal​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `void` | `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet

      `doGet`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosRequestRouter

          public KerberosRequestRouter()

  - ### Method Detail

    - #### doPost

          public void doPost​(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)

      Overrides:
        `doPost` in class `org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet`

    - #### computeSsoPrincipal

          protected org.silverpeas.core.web.sso.SilverpeasSsoPrincipal computeSsoPrincipal​(javax.servlet.http.HttpServletRequest request,
                                                                                           javax.servlet.http.HttpServletResponse response)

      Specified by:
        `computeSsoPrincipal` in class `org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet`